#include <exec/types.h>
#include <exec/lists.h>
#include <intuition/classusr.h>
#include <proto/utility.h>
#include <string.h>

#include "CheckBoxListView.h"

#include "WBStartup+Prefs.h"
#include "WBStartupPlusPrefs_cat.h"

ULONG __saveds __asm LVDisplay(register __a1 struct WBSPNode *node,register __a2 char **array)
{
	static char prioritystring[10];
	if (node)
	{
		if (node->wbsp_type)
			*array++="\33o[00000002]";
		else
			*array++="\33o[00000001]";
		*array++=node->wbsp_name;
		stci_d(prioritystring,(int)node->wbsp_pri);
		*array=prioritystring;

	}
	else
	{
		*array++=NULL;
		*array++=GetString(STRProgramName);
		*array=GetString(STRPriority);
	}
	return(0);
}

LONG __saveds __asm LVCompare(register __a1 struct WBSPNode *node1,register __a2 struct WBSPNode *node2)
{
	LONG Result1,Result2;
	Result1=Stricmp(node1->wbsp_name,node2->wbsp_name);
	Result2=node2->wbsp_pri-node1->wbsp_pri;
	if (prefs.Alphabetize && Result1)
		return(Result1);
	else
		if (Result2)
			return(Result2);
		else
			return(Result1);
}
